<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang" xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">
	<jsp:directive.attribute name="from" required="true" type="java.util.Date" />
	<jsp:directive.attribute name="to" required="true" type="java.util.Date" />
	<!--  elimina date anteriori al 1970 -->
	<c:if test="${from.time le 0}">
		<c:remove var="from" />
	</c:if>
	<c:if test="${to.time le 0}">
		<c:remove var="to" />
	</c:if>
	<c:if test="${(from != null) or (to != null)}">
		<jsp:text> (</jsp:text>
		<c:if test="${from != null}">
			<fmt:message key="daterange.from" />
			<jsp:text>&#160;</jsp:text>
			<fmt:formatDate value="${from}" type="date" pattern="dd/MM/yyyy" />
			<c:if test="${to != null}">
				<jsp:text>&#160;</jsp:text>
			</c:if>
		</c:if>

		<c:if test="${to != null}">
			<fmt:message key="daterange.to" />
			<jsp:text>&#160;</jsp:text>
			<fmt:formatDate value="${to}" type="date" pattern="dd/MM/yyyy" />
		</c:if>
		<jsp:text>) </jsp:text>
	</c:if>
</jsp:root>
