<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang" xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">


    <jsp:directive.attribute name="type" required="true" />
    <jsp:directive.attribute name="href" required="true" />
    <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean" />


	<c:set var="message"><fmt:message key="btn.${type}" /></c:set>

    <c:choose>
      <c:when test="${disabled}">
	       <img src="${pageContext.request.contextPath}/docroot/img/btn-${type}_false.gif" alt="${message}" title="${message}"/>
      </c:when>
      <c:otherwise>
		<a href="${href}&amp;amp;page=full" title="${message}" target="_blank">
	        <img src="${pageContext.request.contextPath}/docroot/img/btn-${type}.gif" alt="${message}" />
	    </a>
      </c:otherwise>
    </c:choose>

</jsp:root>
