<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags"
    xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt">

    <c:if test="${not empty errors}">
        <div class="error">
            <ul>
                <c:forEach var="msg" items="${errors}">
                    <li><c:out value="${msg}" escapeXml="false" /></li>
                </c:forEach>
            </ul>
        </div>
        <c:remove var="errors" />
    </c:if>


    <c:if test="${not empty messages}">
        <div class="message">
        <ul>
            <c:forEach var="msg" items="${messages}">
                <li><c:out value="${msg}" escapeXml="false" /></li>
            </c:forEach>
        </ul>
        </div>
        <c:remove var="messages" />
    </c:if>

</jsp:root>
