<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang" xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">


    <jsp:directive.attribute name="name" required="true" />
    <jsp:directive.attribute name="value" required="true" />
    <jsp:directive.attribute name="type" required="false" />
    <jsp:directive.attribute name="cssclass" required="false" />
    <jsp:directive.attribute name="style" required="false" />
    <jsp:directive.attribute name="maxlength" required="false" />
    <jsp:directive.attribute name="readonly" required="false" type="java.lang.Boolean"/>
    <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean"/>
    <jsp:directive.attribute name="onkeypress" required="false" />
    <jsp:directive.attribute name="onkeydown" required="false" />
    <jsp:directive.attribute name="onkeyup" required="false" />
    <jsp:directive.attribute name="onchange" required="false" />
    <jsp:directive.attribute name="onblur" required="false" />

    <c:if test="${empty(type)}">
      <c:set var="type" value="text" />
    </c:if>

    <![CDATA[<input name="]]>${name}<![CDATA[" id="]]>${name}<![CDATA[" value="]]>${value}<![CDATA[" type="]]>${type}<![CDATA["]]>
    <c:if test="${!empty(cssclass)}"><![CDATA[ class="]]>${cssclass}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(maxlength)}"><![CDATA[ maxlength="]]>${maxlength}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(onkeypress)}"><![CDATA[ onkeypress="]]>${onkeypress}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(onkeydown)}"><![CDATA[ onkeydown="]]>${onkeydown}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(onkeyup)}"><![CDATA[ onkeydown="]]>${onkeyup}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(onchange)}"><![CDATA[ onchange="]]>${onchange}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(onblur)}"><![CDATA[ onblur="]]>${onblur}<![CDATA[" ]]></c:if>
    <c:if test="${!empty(style)}"><![CDATA[ style="]]>${style}<![CDATA[" ]]></c:if>
    <c:if test="${readonly}"><![CDATA[ readonly="readonly" ]]></c:if>
    <c:if test="${disabled}"><![CDATA[ disabled="disabled" ]]></c:if>
    <c:if test="${!empty(onkeypress) || !empty(onkeydown) || !empty(onkeyup) || !empty(onchange) || !empty(onblur)}"><![CDATA[ autocomplete="off" ]]></c:if>
    <![CDATA[ />]]>


</jsp:root>
