<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page" xmlns:spring="http://www.springframework.org/tags"
  xmlns:c="http://java.sun.com/jsp/jstl/core" xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
  xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang"
  xmlns:elx="http://openutils.sourceforge.net/openutils-tags-elx">
  <jsp:directive.attribute name="type" required="true" />
  <jsp:directive.attribute name="href" required="true" />
  <jsp:directive.attribute name="text" />
  <c:if test="${empty(text)}">
    <c:set var="text">action.${type}</c:set>
  </c:if>
  <c:set var="message" value="${elx:fmt(pageContext,text)}" />
  <c:choose>
    <c:when test="${type == 'delete'}">
      <c:set var="image" value="ico_delete.png" />
    </c:when>
    <c:when test="${type == 'edit'}">
      <c:set var="image" value="ico_arrow.png" />
    </c:when>
    <c:when test="${type == 'mail'}">
      <c:set var="image" value="ico_mail.png" />
    </c:when>
    <c:when test="${type == 'duplica'}">
      <c:set var="image" value="ico_saveas.png" />
    </c:when>
    <c:when test="${type == 'view'}">
      <c:set var="image" value="icon_doc_sml.png" />
    </c:when>
    <c:otherwise>
      <c:set var="image" value="ico_arrow.png" />
    </c:otherwise>
  </c:choose>
  <a href="${href}" title="${message}">
    <img src="${pageContext.request.contextPath}/docroot/img/${image}" alt="${message}" />
  </a>
</jsp:root>
