<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang"
    xmlns:ou="http://openutils.sourceforge.net/openutils-tags-spring">

    <jsp:directive.attribute name="path" required="true" />
    <jsp:directive.attribute name="name" required="false" />
    <jsp:directive.attribute name="bare" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="multiline" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="style" required="false" />

    <spring:bind path="${path}">
        <c:if test="${empty(name)}">
          <c:set var="name">${su:substringAfter(path, ".")}</c:set>
        </c:if>


           <c:choose>
              <c:when test="${bare}">
                    <c:choose>
                      <c:when test="${status.value}">
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" checked="checked" />
                      </c:when>
                      <c:otherwise>
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" />
                      </c:otherwise>
                    </c:choose>
                    <input type="hidden" name="_${name}" />
              </c:when>
              <c:when test="${multiline}">
                <c:set var="divclass">formelement <c:if test="${!empty(status.errorMessage)}"> formelementerror</c:if></c:set>

                <div class="${divclass}" style="${style}">
                    <label for="${name}"><fmt:message key="${path}" />:</label>
                    <c:choose>
                      <c:when test="${status.value}">
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" checked="checked" />
                      </c:when>
                      <c:otherwise>
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" />
                      </c:otherwise>
                    </c:choose>
                    <input type="hidden" name="_${name}" />
                    <div class="clear"><!--  --></div>
                </div>
              </c:when>
              <c:otherwise>
                <c:set var="divclass">formelementch<c:if test="${!empty(status.errorMessage)}"><![CDATA[ ]]>formelementerror</c:if></c:set>
                <span class="${divclass}" style="${style}">
                    <c:choose>
                      <c:when test="${status.value}">
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" checked="checked" />
                      </c:when>
                      <c:otherwise>
                         <input type="checkbox" name="${name}" id="${name}" value="true" class="checkbox" />
                      </c:otherwise>
                    </c:choose>
                    <input type="hidden" name="_${name}" />
                    <jsp:text><![CDATA[ ]]></jsp:text>
                    <span class="chlabel"><fmt:message key="${path}" /></span>
                </span>
              </c:otherwise>
            </c:choose>


    </spring:bind>

</jsp:root>
