<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core">
    <!--

	 errorbox

	 Iterate over the list of errors for the command or bean specified in the
	 'path' attribute. If errors are found, display a box with css class "error"
	 and print out any error.

	 @param path the name of the field to bind to (required)

	-->
    <jsp:directive.attribute name="path" required="true" />

    <spring:bind path="${path}">
        <c:if test="${not empty status.errorMessages}">
            <div class="error">
            <ul>
                <c:forEach var="error" items="${status.errorMessages}">
                    <li><c:out value="${error}" escapeXml="false" /></li>
                </c:forEach>
            </ul>
            </div>
        </c:if>
    </spring:bind>
    <spring:bind path="${path}.*">
        <c:if test="${not empty status.errorMessages}">
            <div class="error">
            <ul>
                <c:forEach var="error" items="${status.errorMessages}">
                    <li><c:out value="${error}" escapeXml="false" /></li>
                </c:forEach>
            </ul>
            </div>
        </c:if>
    </spring:bind>
</jsp:root>
