<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang" xmlns:ou="http://openutils.sourceforge.net/openutils-tags-spring">

    <jsp:directive.attribute name="path" required="true" />
    <jsp:directive.attribute name="name" required="false" />
    <jsp:directive.attribute name="maxlength" required="false" type="java.lang.Integer" />
    <jsp:directive.attribute name="readonly" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="bare" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="type" required="false" />
    <jsp:directive.attribute name="nobind" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="style" required="false" />
    <jsp:directive.attribute name="onkeypress" required="false" />
    <jsp:directive.attribute name="onkeydown" required="false" />
    <jsp:directive.attribute name="onkeyup" required="false" />
    <jsp:directive.attribute name="onchange" required="false" />
    <jsp:directive.attribute name="cssclass" required="false" />
    <jsp:directive.attribute name="key" required="false" />
    <jsp:directive.attribute name="onblur" required="false" />
    <jsp:directive.attribute name="label" required="false" type="java.lang.String" />


    <c:if test="${empty(key)}">
        <c:set var="key">${path}</c:set>
    </c:if>
    <c:if test="${empty(name)}">
      <c:set var="name">${su:substringAfter(path, ".")}</c:set>
    </c:if>
    <c:if test="${empty(maxlength)}">
      <c:set var="maxlength">30</c:set>
    </c:if>
    <c:if test="${type == 'key' and !empty(status.value)}">
      <c:set var="type">hidden</c:set>
    </c:if>
    <c:if test="${type == 'keyshow' and !empty(status.value)}">
      <c:set var="readonly" value="${true}" />
    </c:if>
    <c:if test="${type == 'date'}">
      <c:set var="type">text</c:set>
      <c:set var="datepicker" value="${true}" />
    </c:if>
    <c:set var="divclass">formelement</c:set>


     <c:choose>
         <c:when test="${empty(label)}">
          <c:set var="labelmsg"><fmt:message key="${key}" /></c:set>
         </c:when>
         <c:otherwise>
          <c:set var="labelmsg">${label}</c:set>
         </c:otherwise>
     </c:choose>

    <c:choose>
      <c:when test="${!nobind}">
            <spring:bind path="${path}">
            <c:set var="divclass">formelement <c:if test="${!empty(status.errorMessage)}"> formelementerror</c:if></c:set>

            <c:choose>
              <c:when test="${type == 'hidden'}">
                  <input type="hidden" name="${name}" id="${name}" value="${status.value}" />
              </c:when>
              <c:when test="${bare}">

                <c:choose>
                      <c:when test="${maxlength le 256}">
                         <ou:txtinput type="text" name="${name}" value="${status.value}" cssclass="text ${cssclass}" maxlength="${maxlength}" style="${style}" readonly="${readonly}" disabled="${disabled}" onkeypress="${onkeypress}" onkeydown="${onkeydown}" onkeyup="${onkeyup}" onchange="${onchange}" onblur="${onblur}"/>
                       </c:when>
                      <c:otherwise>
                        <ou:txttextarea name="${name}" value="${status.value}" style="${style}" cssclass="inputtextarea ${cssclass}" />
                      </c:otherwise>
                    </c:choose>
                  </c:when>
                  <c:when test="${type == 'password'}">
                       <div class="${divclass}">
                    <label for="${name}">${labelmsg}:</label>


                         <ou:txtinput type="password" name="${name}" value="${status.value}" cssclass="text ${cssclass}" maxlength="${maxlength}" style="${style}" readonly="${readonly}" disabled="${disabled}" onkeypress="${onkeypress}" onkeydown="${onkeydown}" onkeyup="${onkeyup}" onchange="${onchange}" onblur="${onblur}"/>




                    <div class="clear"><!--  --></div>
                </div>
                  </c:when>
              <c:otherwise>
                <div class="${divclass}">
                    <label for="${name}">${labelmsg}:</label>

                     <c:choose>
                      <c:when test="${maxlength le 256}">
                         <ou:txtinput type="text" name="${name}" value="${status.value}" cssclass="text ${cssclass}" maxlength="${maxlength}" style="${style}" readonly="${readonly}" disabled="${disabled}" onkeypress="${onkeypress}" onkeydown="${onkeydown}" onkeyup="${onkeyup}" onchange="${onchange}" onblur="${onblur}"/>
                      </c:when>
                      <c:otherwise>
                        <ou:txttextarea name="${name}" value="${status.value}" style="${style}" cssclass="inputtextarea ${cssclass}" />
                      </c:otherwise>
                    </c:choose>

                    <c:if test="${datepicker}">
                      <a href="javascript:showCal('divdata${name}','${name}')" title="seleziona" class="calbtn">
                        <span>C</span>
                      </a>
                      <div class="calendar" id="divdata${name}" style="display:none"><!--  --></div>
                      &lt;!--[if gte IE 5.5]>
                      <iframe id='divdata${name}iframe' class='calendarIframe' src='javascript:false;' frameBorder='0' scrolling='no'
                        style="display:none;filter:progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)"><!-- x --></iframe>
                      &lt;![endif]-->
                      <script type="text/javascript">createCalendar('${status.value}', 'divdata${name}', '${name}')</script>
                    </c:if>

                    <div class="clear"><!--  --></div>
                </div>
              </c:otherwise>
            </c:choose>
        </spring:bind>
      </c:when>
      <c:otherwise>

            <c:choose>
              <c:when test="${type == 'hidden'}">
                  <input type="hidden" name="${name}" id="${name}" value="${status.value}" />
              </c:when>
              <c:when test="${bare}">
                  <ou:txtinput type="text" name="${name}" value="${status.value}" cssclass="text" maxlength="${maxlength}" style="${style}" readonly="${readonly}" disabled="${disabled}" onkeypress="${onkeypress}" onkeydown="${onkeydown}" onkeyup="${onkeyup}" onchange="${onchange}" onblur="${onblur}"/>
              </c:when>
              <c:otherwise>
                <div class="${divclass}">
                    <label for="${name}">${labelmsg}:</label>

                     <c:choose>
                      <c:when test="${maxlength le 256}">
                         <ou:txtinput type="text" name="${name}" value="${status.value}" cssclass="text" maxlength="${maxlength}" style="${style}" readonly="${readonly}" disabled="${disabled}" onkeypress="${onkeypress}" onkeydown="${onkeydown}" onkeyup="${onkeyup}" onchange="${onchange}" onblur="${onblur}"/>
                      </c:when>
                      <c:otherwise>
                        <ou:txttextarea name="${name}" value="${status.value}" style="${style}" cssclass="inputtextarea" />
                      </c:otherwise>
                    </c:choose>


                    <div class="clear"><!--  --></div>
                </div>
              </c:otherwise>
            </c:choose>
      </c:otherwise>
   </c:choose>
</jsp:root>
