<jsp:root version="2.0" xmlns:jsp="http://java.sun.com/JSP/Page"
    xmlns:spring="http://www.springframework.org/tags" xmlns:c="http://java.sun.com/jsp/jstl/core"
    xmlns:fmt="http://java.sun.com/jsp/jstl/fmt" xmlns:su="http://openutils.sourceforge.net/openutils-tags-commonslang" xmlns:ou="http://openutils.sourceforge.net/openutils-tags-spring">

    <jsp:directive.attribute name="path" required="true" />
    <jsp:directive.attribute name="name" required="false" />
    <jsp:directive.attribute name="maxlength" required="false" type="java.lang.Integer" />
    <jsp:directive.attribute name="readonly" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="disabled" required="false" type="java.lang.Boolean" />
    <jsp:directive.attribute name="type" required="false" />
    <jsp:directive.attribute name="label" required="false" type="java.lang.String" />

    <spring:bind path="${path}">
	    <c:set var="divclass">formelement <c:if test="${!empty(status.errorMessage)}"> formelementerror</c:if></c:set>
	    <c:if test="${empty(name)}">
	      <c:set var="name">${su:substringAfter(path, ".")}</c:set>
	    </c:if>
	    <c:if test="${empty(maxlength)}">
	      <c:set var="maxlength">30</c:set>
	    </c:if>
	    <c:if test="${type == 'key' and !empty(status.value)}">
	      <c:set var="type">hidden</c:set>
	    </c:if>
	    <c:if test="${type == 'keyshow' and !empty(status.value)}">
	      <c:set var="readonly" value="${true}" />
	    </c:if>

		 <c:choose>
			 <c:when test="${empty(label)}">
			  <c:set var="labelmsg"><fmt:message key="${path}" /></c:set>
			 </c:when>
			 <c:otherwise>
			  <c:set var="labelmsg">${label}</c:set>
			 </c:otherwise>
		 </c:choose>


	    <c:choose>
	      <c:when test="${type == 'hidden'}">
	      	<input type="hidden" name="${name}" id="${name}" value="${status.value}" />
	      </c:when>
	      <c:otherwise>
		    <div class="${divclass}">
		        <label for="${name}">${labelmsg}:</label>

	            <ou:txtinput type="text" name="${name}" value="${status.value}" cssclass="text" maxlength="${maxlength}" readonly="${readonly}" disabled="${disabled}"/>

	            <div class="clear"><!--  --></div>
		    </div>
	      </c:otherwise>
	    </c:choose>
    </spring:bind>

</jsp:root>
